import sys
if sys.version_info[0] < 3:
    raise Exception(
        "Training environment must use Python 3, please update in Design > Advanced > Runtime "
        "environment")
from dataiku.doctor.plugins.custom_prediction_algorithm import BaseCustomPredictionAlgorithm
from lab.dku_rsf import ClassRandomSurvivalForest


class CustomPredictionAlgorithm(BaseCustomPredictionAlgorithm):

    def __init__(self, prediction_type=None, params=None):

        self.params = params
        self.clf = ClassRandomSurvivalForest(**params)
        #training_dataset = dataiku.Dataset(get_input_names_for_role('training_dataset')[0])

        super(CustomPredictionAlgorithm, self).__init__(prediction_type, self.params)

    def get_clf(self):
        return self.clf
